INTERFACE
SUBROUTINE CPG2LAG(KNUMB,KASLB1,&
 & PB1,PB2,PGMV,PGMVS,&
 & PGM,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PGNORDL,PGNORDM,PCOLON,PSILON,PRINDX,PRINDY,&
 & PUT1,PVT1,PSPT1) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
USE YOMGMV , ONLY : NDIMGMV,NDIMGMVS
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMB
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(KASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,1,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRINDX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRINDY(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT1(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT1(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT1(NPROMA)
END SUBROUTINE CPG2LAG
END INTERFACE
